# Dockerfile for reverse_proxy.py

# Use an official Python runtime as a parent image
FROM python:3.9-slim

# Set the working directory in the container
WORKDIR /app

# Copy the current directory contents into the container at /app
COPY . /app

# Installieren Sie die Abhaengigkeiten
RUN pip install --no-cache-dir -r requirements.txt

# Make port 8080 available to the world outside this container
EXPOSE 8080

# Define environment variable
ENV NAME WebShop

USER 1001:100

# Run reverse_proxy.py when the container launches
CMD ["python", "reverse_proxy.py"]
